FDAmericanEngine< Scheme > Class Template Reference

Finite-differences pricing engine for American one asset options. More...

`#include <ql/pricingengines/vanilla/fdamericanengine.hpp>`

Inherits FDEngineAdapter< base, engine >.

## Public Member Functions

| FDAmericanEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDAmericanEngine< Scheme >

Finite-differences pricing engine for American one asset options.

Deprecated:
  Use FdBlackScholesVanillaEngine instead. Deprecated in version 1.17.